#### D.15.8.28 grlifting2

Procedure from library `gradedModules.lib` (see gradedModules_lib).

Usage:
  grlifting2(A,B), graded objects A and B (matrices defining maps)

Return:
  map of chain complexes (as a list)

Purpose:
  construct a map of chain complexes between free resolution of M=coker(A) and N=coker(B).

Example:

    LIB "gradedModules.lib";
    ring r;
    module P=grobj(module([xy,0,xz]),intvec(0,1,0));
    grview(P);
    ==> Graded homomorphism: r + r(-1) + r <- r(-2), given by a matrix, with degr\
       ees:
    ==>      ..1 ....
    ==>      --- +...
    ==>   0 :  2 |..1
    ==>   1 :  - |..2
    ==>   0 :  2 |..3
    ==>      ===
    ==>        2
    module D=grobj(module([y,0,z],[x2+y2,z,0]),intvec(0,1,0));
    grview(D);
    ==> Graded homomorphism: r + r(-1) + r <- r(-1) + r(-2), given by a matrix, w\
       ith degrees:
    ==>      ..1 ..2 ....
    ==>      --- --- +...
    ==>   0 :  1   2 |..1
    ==>   1 :  -   1 |..2
    ==>   0 :  1   - |..3
    ==>      === ===
    ==>        1   2
    module PP = grpres(P);
    grview(PP);
    ==> Graded homomorphism: r(-2) <- 0, given by zero (1 x 0) matrix.
    module DD = grpres(D);
    grview(DD);
    ==> Graded homomorphism: r(-1) + r(-2) <- 0, given by zero (2 x 0) matrix.
    def T=grlifting2(DD,PP); T;
    ==> T[1]=0
    ==> T[2]=-5361*gen(1)
    // def Z=grlifting2(P,D); Z; // WRONG!!!

User manual for Singular version 4.4.1, 2025, generated by texi2html.